package com.flossom.common.core.domain.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户仪器绑定日志对象 wx_user_instrument_log
 *
 * @author flossom
 * @date 2024-01-10
 */
public class WxUserInstrumentLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 关联绑定ID */
    private Long userInstrumentId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 序列号 */
    @Excel(name = "序列号")
    private String serial;

    /** 仪器id */
    @Excel(name = "仪器id")
    private Long instrumentId;

    /** 仪器名称 */
    @Excel(name = "仪器名称")
    private String instrumentName;

    /** 序列号图片 */
    @Excel(name = "序列号图片")
    private String serialImage;

    /** 保修日期 */
    @Excel(name = "保修日期")
    private Long guarantee;

    /** 保修到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "保修到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date guaranteeEndtime;

    /** 绑定状态，1未绑定，2已解绑 */
    @Excel(name = "绑定状态，1未绑定，2已解绑,0-已绑定")
    private Integer bindingStatus;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    private WxUserMember wxUserMember;

    public Long getUserInstrumentId() {
        return userInstrumentId;
    }

    public void setUserInstrumentId(Long userInstrumentId) {
        this.userInstrumentId = userInstrumentId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setSerial(String serial)
    {
        this.serial = serial;
    }

    public String getSerial()
    {
        return serial;
    }
    public void setInstrumentId(Long instrumentId)
    {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId()
    {
        return instrumentId;
    }
    public void setInstrumentName(String instrumentName)
    {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentName()
    {
        return instrumentName;
    }
    public void setSerialImage(String serialImage)
    {
        this.serialImage = serialImage;
    }

    public String getSerialImage()
    {
        return serialImage;
    }
    public void setGuarantee(Long guarantee)
    {
        this.guarantee = guarantee;
    }

    public Long getGuarantee()
    {
        return guarantee;
    }
    public void setGuaranteeEndtime(Date guaranteeEndtime)
    {
        this.guaranteeEndtime = guaranteeEndtime;
    }

    public Date getGuaranteeEndtime()
    {
        return guaranteeEndtime;
    }
    public void setBindingStatus(Integer bindingStatus)
    {
        this.bindingStatus = bindingStatus;
    }

    public Integer getBindingStatus()
    {
        return bindingStatus;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public WxUserMember getWxUserMember() {
        return wxUserMember;
    }

    public void setWxUserMember(WxUserMember wxUserMember) {
        this.wxUserMember = wxUserMember;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("serial", getSerial())
            .append("instrumentId", getInstrumentId())
            .append("instrumentName", getInstrumentName())
            .append("serialImage", getSerialImage())
            .append("guarantee", getGuarantee())
            .append("guaranteeEndtime", getGuaranteeEndtime())
            .append("bindingStatus", getBindingStatus())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
